StrandsRenderer
Date: 2019-10-22

org.jmol.renderbio

## Class StrandsRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.renderbio.BioShapeRenderer
    - - org.jmol.renderbio.StrandsRenderer

- Direct Known Subclasses:
    MeshRibbonRenderer, RocketsRenderer, TraceRenderer

      public class StrandsRenderer
      extends BioShapeRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `baseStrandOffset`
    `protected int` | `strandCount`
    `protected float` | `strandSeparation`

    - ### Fields inherited from class org.jmol.renderbio.BioShapeRenderer

      `aspectRatio, bioShape, bsVisible, cartoonsFancy, colixBack, colixes, colixesBack, controlPoints, controlPointScreens, diameterBeg, diameterEnd, diameterMid, hermiteLevel, iNext, iNext2, iNext3, iPrev, isCarbohydrate, isHighRes, isNucleic, isPhosphorusOnly, leadAtomIndices, madBeg, madEnd, madMid, mads, meshRenderer, monomerCount, monomers, ribbonBottomScreens, ribbonTopScreens, structureTypes, wingVectors, wireframeOnly`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrandsRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `renderBioShape(BioShape bioShape)`
    `private void` | `renderStrand(javajs.util.P3[] screens)`
    `protected void` | `renderStrands()`
    `protected void` | `renderStrandShape()`
    `protected boolean` | `setStrandCount()`

    - ### Methods inherited from class org.jmol.renderbio.BioShapeRenderer

      `calcScreenControlPoints, calcScreens, drawSegmentAB, getLeadColix, getLeadColixBack, render, renderHermiteArrowHead, renderHermiteConic, renderHermiteCylinder, renderHermiteRibbon, setBioColix, setColix, setNeighbors`

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `initRenderer, isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### strandCount

          protected int strandCount

    - #### strandSeparation

          protected float strandSeparation

    - #### baseStrandOffset

          protected float baseStrandOffset

  - ### Constructor Detail

    - #### StrandsRenderer

          public StrandsRenderer()

  - ### Method Detail

    - #### renderBioShape

          protected void renderBioShape(BioShape bioShape)

      Specified by:
        `renderBioShape` in class `BioShapeRenderer`

    - #### renderStrandShape

          protected void renderStrandShape()

    - #### setStrandCount

          protected boolean setStrandCount()

    - #### renderStrands

          protected void renderStrands()

    - #### renderStrand

          private void renderStrand(javajs.util.P3[] screens)